<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - Fractal Layout</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
<form id="form1" runat="server">

  <asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 5px;">
      <input id="zoomIn" type="button" value="Zoom In" onclick="onZoomIn()" style="margin: 5px;"/>
      <input id="zoomOut" type="button" value="Zoom Out" onclick="onZoomOut()" style="margin: 5px;"/>
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
	</div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample shows how to arrange the Diagram by using the FractalLayout algorithm.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
    <div style="position: absolute; left: 0px; top: 0px; bottom: 0px; width: 200px; border-right: 1px solid #e2e4e7; overflow: hidden;">
      <ndiag:Overview runat="server" ID="overview1" DiagramViewID="diagramView" ClientSideMode="Canvas" style="position: absolute; top: 0px; left: 0px; right: 0px; height: 200px; border-bottom: 1px solid #e2e4e7;" DimColor="White"></ndiag:Overview>
      </div>

    <ndiag:DiagramView ID="diagramView" runat="server" style="position: absolute; left: 201px; top: 0px; right: 0px; bottom: 0px;" ClientSideMode="Canvas" JsLibraryLocation="MindFusion.Diagramming.js"/>      
  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

<script type="text/javascript">

function onZoomIn() {
  var diagram = $find('diagramView');
  diagram.setZoomFactor(diagram.getZoomFactor() + 10);
}

function onZoomOut() {
  var diagram = $find('diagramView');
  diagram.setZoomFactor(diagram.getZoomFactor() - 10);
}

</script>

</form>
</body>
</html>
